Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231015 - /usr/lib/cups/driver/* should be cupsd_exec_t
Summary: /usr/lib/cups/driver/* should be cupsd_exec_t
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 16:31 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-12 17:08:30 UTC


Attachments (Terms of Use)

Description Tim Waugh 2007-03-05 16:31:17 UTC
Description of problem:
There are some missing file contexts for CUPS, causing a problem for the next
version of gutenprint which provides a CUPS binary.  Here is a patch:

--- serefpolicy-2.4.6/policy/modules/services/cups.fc.cups-driver      
2007-03-05 16:24:52.000000000 +0000
+++ serefpolicy-2.4.6/policy/modules/services/cups.fc   2007-03-05
16:26:23.000000000 +0000
@@ -18,6 +18,9 @@
 /usr/bin/cups-config-daemon --
gen_context(system_u:object_r:cupsd_config_exec_t,s0)
 
 /usr/lib(64)?/cups/backend/.* -- gen_context(system_u:object_r:cupsd_exec_t,s0)
+/usr/lib(64)?/cups/driver/.* -- gen_context(system_u:object_r:cupsd_exec_t,s0)
+/usr/lib(64)?/cups/notifier/.* -- gen_context(system_u:object_r:cupsd_exec_t,s0)
+/usr/lib(64)?/cups/monitor/.* -- gen_context(system_u:object_r:cupsd_exec_t,s0)
 /usr/lib(64)?/cups/daemon/.*   -- gen_context(system_u:object_r:cupsd_exec_t,s0)
 /usr/lib(64)?/cups/daemon/cups-lpd --
gen_context(system_u:object_r:cupsd_lpd_exec_t,s0)
 

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-41.fc6

Comment 1 Daniel Walsh 2007-03-06 18:12:16 UTC
Fixed in selinux-policy-2.4.6-43.fc6

Comment 2 Daniel Walsh 2007-09-12 17:08:30 UTC
Moving modified bugs to closed



Note You need to log in before you can comment on or make changes to this bug.